How to use c++ v2.0 api to render scene?

Discussion related to the Engine functionality, implementations and API.
Post Reply
MaskZhou
Posts: 2
Joined: Tue Jun 05, 2018 2:47 am

How to use c++ v2.0 api to render scene?

Post by MaskZhou » Tue Jun 05, 2018 3:09 am

Hello, i'm confused about c++ API and py API 2.0....
I have render my scene by using luxcore py api v1.7 before, and i still using c++ api v1.7 too.

recently i found v2.0 api is online, so i download luxcorerender v2.0 from github and compiled it complete, i get some libs but no include files, look like i just get py version v2.0.

my platform is win10 x64.

so, how do i get c++ version v2.0? am i go a wrong way?

User avatar
Dade
Developer
Posts: 1539
Joined: Mon Dec 04, 2017 8:36 pm

Re: How to use c++ v2.0 api to render scene?

Post by Dade » Tue Jun 05, 2018 8:50 am

MaskZhou wrote:
Tue Jun 05, 2018 3:09 am
Hello, i'm confused about c++ API and py API 2.0....
I have render my scene by using luxcore py api v1.7 before, and i still using c++ api v1.7 too.

recently i found v2.0 api is online, so i download luxcorerender v2.0 from github and compiled it complete, i get some libs but no include files, look like i just get py version v2.0.

my platform is win10 x64.

so, how do i get c++ version v2.0? am i go a wrong way?
Have you tried to download the SDK from https://luxcorerender.org/download ?

If you download the SDK, you will find there only the headers and .lib/.dll required for compiling an application with LuxCore.

To build the SDK from sources, you need to use "cmake-build-x64.bat /dll" and than the script "create-sdk.bat". The sources of the "create-sdk.bat" tell you what headers and libs are needed: https://github.com/LuxCoreRender/Window ... te-sdk.bat (in addition to "luxcore.h").
Support LuxCoreRender project with salts and bounties

MaskZhou
Posts: 2
Joined: Tue Jun 05, 2018 2:47 am

Re: How to use c++ v2.0 api to render scene?

Post by MaskZhou » Tue Jun 05, 2018 2:15 pm

Dade wrote:
Tue Jun 05, 2018 8:50 am
MaskZhou wrote:
Tue Jun 05, 2018 3:09 am
Hello, i'm confused about c++ API and py API 2.0....
I have render my scene by using luxcore py api v1.7 before, and i still using c++ api v1.7 too.

recently i found v2.0 api is online, so i download luxcorerender v2.0 from github and compiled it complete, i get some libs but no include files, look like i just get py version v2.0.

my platform is win10 x64.

so, how do i get c++ version v2.0? am i go a wrong way?
Have you tried to download the SDK from https://luxcorerender.org/download ?

If you download the SDK, you will find there only the headers and .lib/.dll required for compiling an application with LuxCore.

To build the SDK from sources, you need to use "cmake-build-x64.bat /dll" and than the script "create-sdk.bat". The sources of the "create-sdk.bat" tell you what headers and libs are needed: https://github.com/LuxCoreRender/Window ... te-sdk.bat (in addition to "luxcore.h").
ok, thx for your answer, i will try it again.

Post Reply